
// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

// default includes
#include <shiboken.h>
#include <sbkpep.h>
#include <sbkpepbuffer.h>

#define PYSIDE6_COMOPT_COMPRESS 1

#ifndef QT_NO_VERSION_TAGGING
#  define QT_NO_VERSION_TAGGING
#endif
#include <QtCore/QDebug>
#include <pysideqenum.h>
#include <pysideutils.h>
#include <feature_select.h>
QT_WARNING_DISABLE_DEPRECATED


// module include
#include "akonadicore_python.h"

// main header
#include "akonadi_entityhiddenattribute_wrapper.h"

// Wrappers providing overrides
#include "akonadi_exception_wrapper.h"
#include "akonadi_attribute_wrapper.h"

// Argument includes
#include <entityhiddenattribute.h>
#include <qbytearray.h>

#include <cctype>
#include <cstring>
#include <iterator>
#include <type_traits>
#include <typeinfo>

using namespace Akonadi;

extern "C" {
static PyTypeObject *Sbk_Akonadi_EntityHiddenAttribute_TypeF(void)
{
    return SbkAkonadiCoreTypeStructs[SBK_Akonadi_EntityHiddenAttribute_IDX].type;
}
} // extern "C"

// Native ---------------------------------------------------------

void EntityHiddenAttributeWrapper::resetPyMethodCache()
{
    std::fill(m_PyMethodCache.begin(), m_PyMethodCache.end(), nullptr);
}

EntityHiddenAttributeWrapper::EntityHiddenAttributeWrapper()
{
}

::Akonadi::EntityHiddenAttribute * EntityHiddenAttributeWrapper::clone() const
{
    static const char *funcName = "clone";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_EntityHiddenAttribute_TypeF(), gil, funcName, m_PyMethodCache[0], nameCache));
    if (pyOverride.isNull()) {
        return this->::Akonadi::EntityHiddenAttribute::clone();
    }
    return sbk_o_clone("EntityHiddenAttribute", funcName, gil, pyOverride);
}

::Akonadi::EntityHiddenAttribute * EntityHiddenAttributeWrapper::sbk_o_clone([[maybe_unused]] const char *ownerClassName, [[maybe_unused]] const char *funcName, [[maybe_unused]] Shiboken::GilState &gil, [[maybe_unused]] const Shiboken::AutoDecRef &pyOverride)
{
#if defined(PYPY_VERSION)
    Shiboken::AutoDecRef pyArgs(PyTuple_New(0));
#endif

#if !defined(PYPY_VERSION)
    Shiboken::AutoDecRef pyResult(PyObject_CallNoArgs(pyOverride));
#else
    Shiboken::AutoDecRef pyResult(PyObject_Call(pyOverride, pyArgs, nullptr));
#endif
    if (pyResult.isNull()) {
        // An error happened in python code!
        Shiboken::Errors::storePythonOverrideErrorOrPrint(ownerClassName, funcName);
        return nullptr;
    }
    // Check return type
    Shiboken::Conversions::PythonToCppConversion pythonToCpp =
        Shiboken::Conversions::pythonToCppPointerConversion(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_EntityHiddenAttribute_IDX]), pyResult);
    if (!pythonToCpp) {
        Shiboken::Warnings::warnInvalidReturnValue(ownerClassName, funcName, PepType_GetFullyQualifiedNameStr(Shiboken::SbkType< Akonadi::EntityHiddenAttribute >()), Py_TYPE(pyResult)->tp_name);
        return nullptr;
    }
    ::Akonadi::EntityHiddenAttribute *cppResult;
    pythonToCpp(pyResult, &cppResult);
    return cppResult;
}

void EntityHiddenAttributeWrapper::deserialize(const ::QByteArray & data)
{
    static const char *funcName = "deserialize";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_EntityHiddenAttribute_TypeF(), gil, funcName, m_PyMethodCache[1], nameCache));
    if (pyOverride.isNull()) {
        return this->::Akonadi::EntityHiddenAttribute::deserialize(data);
    }
    AttributeWrapper::sbk_o_deserialize("EntityHiddenAttribute", funcName, gil, pyOverride, data);
}

::QByteArray EntityHiddenAttributeWrapper::serialized() const
{
    static const char *funcName = "serialized";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_EntityHiddenAttribute_TypeF(), gil, funcName, m_PyMethodCache[2], nameCache));
    if (pyOverride.isNull()) {
        return this->::Akonadi::EntityHiddenAttribute::serialized();
    }
    return ExceptionWrapper::sbk_o_type("EntityHiddenAttribute", funcName, gil, pyOverride);
}

::QByteArray EntityHiddenAttributeWrapper::type() const
{
    static const char *funcName = "type";
    static PyObject *nameCache[2] = {};
    Shiboken::GilState gil(false);
    Shiboken::AutoDecRef pyOverride(Sbk_GetPyOverride(this, Sbk_Akonadi_EntityHiddenAttribute_TypeF(), gil, funcName, m_PyMethodCache[3], nameCache));
    if (pyOverride.isNull()) {
        return this->::Akonadi::EntityHiddenAttribute::type();
    }
    return ExceptionWrapper::sbk_o_type("EntityHiddenAttribute", funcName, gil, pyOverride);
}

EntityHiddenAttributeWrapper::~EntityHiddenAttributeWrapper()
{
    auto *wrapper = Shiboken::BindingManager::instance().retrieveWrapper(this, Sbk_Akonadi_EntityHiddenAttribute_TypeF());
    Shiboken::Object::destroy(wrapper, this);
}

// Target ---------------------------------------------------------

extern "C" {
static int
Sbk_Akonadi_EntityHiddenAttribute_Init(PyObject *self, [[maybe_unused]] PyObject *args, [[maybe_unused]] PyObject *kwds)
{
    auto *sbkSelf = reinterpret_cast<SbkObject *>(self);
    PySide::Feature::Select(self);
    if (Shiboken::Object::isUserType(self) && !Shiboken::ObjectType::canCallConstructor(self->ob_type, Shiboken::SbkType< ::Akonadi::EntityHiddenAttribute >()))
        return -1;

    EntityHiddenAttributeWrapper *cptr{};
    Shiboken::PythonContextMarker pcm;


    // PyMI support
    Shiboken::callInheritedInit(self, args, kwds, SbkAkonadiCoreTypeStructs[SBK_Akonadi_EntityHiddenAttribute_IDX]);
    if (Shiboken::Errors::occurred() != nullptr)
        return -1;

    // Call function/method
    {

        // EntityHiddenAttribute::EntityHiddenAttribute()
        cptr = new EntityHiddenAttributeWrapper();
    }

    if (Shiboken::Errors::occurred() != nullptr || !Shiboken::Object::setCppPointer(sbkSelf, Shiboken::SbkType< Akonadi::EntityHiddenAttribute >(), cptr)) {
        delete cptr;
        return -1;
    }
    Shiboken::Object::setValidCpp(sbkSelf, true);
    Shiboken::Object::setHasCppWrapper(sbkSelf, true);
    Shiboken::BindingManager::instance().registerWrapper(sbkSelf, cptr);


    return 1;
}

static PyObject *Sbk_Akonadi_EntityHiddenAttributeFunc_clone(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::EntityHiddenAttribute *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_EntityHiddenAttribute_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // Attribute::clone()const->Akonadi::EntityHiddenAttribute*
        Akonadi::EntityHiddenAttribute * cppResult = Shiboken::Object::hasCppWrapper(reinterpret_cast<SbkObject *>(self))
            ? const_cast<const ::Akonadi::EntityHiddenAttribute *>(cppSelf)->::Akonadi::EntityHiddenAttribute::clone()
            : const_cast<const ::Akonadi::EntityHiddenAttribute *>(cppSelf)->clone();
        pyResult = Shiboken::Conversions::pointerToPython(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_EntityHiddenAttribute_IDX]), cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_Akonadi_EntityHiddenAttributeFunc_deserialize(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::EntityHiddenAttribute *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_EntityHiddenAttribute_IDX]), reinterpret_cast<SbkObject *>(self)));
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    [[maybe_unused]] Shiboken::Conversions::PythonToCppConversion pythonToCpp;

    // Overloaded function decisor
    // 0: Attribute::deserialize(const QByteArray&)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QByteArray_IDX]), (pyArg)))) {
        overloadId = 0; // Attribute::deserialize(const QByteArray&)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments(pyArg, "deserialize", SbkAkonadiCoreTypeStructs[SBK_Akonadi_EntityHiddenAttribute_IDX]);

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QByteArray cppArg0_local;
        ::QByteArray *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (Shiboken::Errors::occurred() == nullptr) {
            // Attribute::deserialize(const QByteArray&)
            Shiboken::Object::hasCppWrapper(reinterpret_cast<SbkObject *>(self))
                ? cppSelf->::Akonadi::EntityHiddenAttribute::deserialize(*cppArg0)
                : cppSelf->deserialize(*cppArg0);
        }
    }

     return Sbk_ReturnFromPython_None();
}

static PyObject *Sbk_Akonadi_EntityHiddenAttributeFunc_serialized(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::EntityHiddenAttribute *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_EntityHiddenAttribute_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // Attribute::serialized()const->QByteArray
        QByteArray cppResult = Shiboken::Object::hasCppWrapper(reinterpret_cast<SbkObject *>(self))
            ? const_cast<const ::Akonadi::EntityHiddenAttribute *>(cppSelf)->::Akonadi::EntityHiddenAttribute::serialized()
            : const_cast<const ::Akonadi::EntityHiddenAttribute *>(cppSelf)->serialized();
        pyResult = Shiboken::Conversions::copyToPython(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QByteArray_IDX]), &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}

static PyObject *Sbk_Akonadi_EntityHiddenAttributeFunc_type(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    [[maybe_unused]] auto *cppSelf = reinterpret_cast< ::Akonadi::EntityHiddenAttribute *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_EntityHiddenAttribute_IDX]), reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        // Attribute::type()const->QByteArray
        QByteArray cppResult = Shiboken::Object::hasCppWrapper(reinterpret_cast<SbkObject *>(self))
            ? const_cast<const ::Akonadi::EntityHiddenAttribute *>(cppSelf)->::Akonadi::EntityHiddenAttribute::type()
            : const_cast<const ::Akonadi::EntityHiddenAttribute *>(cppSelf)->type();
        pyResult = Shiboken::Conversions::copyToPython(Shiboken::Module::get(SbkPySide6_QtCoreTypeStructs[SBK_QByteArray_IDX]), &cppResult);
    }

    return Sbk_ReturnFromPython_Result(pyResult);
}


static const char *Sbk_Akonadi_EntityHiddenAttribute_PropertyStrings[] = {
    nullptr // Sentinel
};

static PyMethodDef Sbk_Akonadi_EntityHiddenAttribute_methods[] = {
    {"clone", reinterpret_cast<PyCFunction>(Sbk_Akonadi_EntityHiddenAttributeFunc_clone), METH_NOARGS, nullptr},
    {"deserialize", reinterpret_cast<PyCFunction>(Sbk_Akonadi_EntityHiddenAttributeFunc_deserialize), METH_O, nullptr},
    {"serialized", reinterpret_cast<PyCFunction>(Sbk_Akonadi_EntityHiddenAttributeFunc_serialized), METH_NOARGS, nullptr},
    {"type", reinterpret_cast<PyCFunction>(Sbk_Akonadi_EntityHiddenAttributeFunc_type), METH_NOARGS, nullptr},
    {nullptr, nullptr, 0, nullptr} // Sentinel
};

static int Sbk_Akonadi_EntityHiddenAttribute_setattro(PyObject *self, PyObject *name, PyObject *value)
{
    PySide::Feature::Select(self);
    if (value != nullptr && PyCallable_Check(value) != 0) {
        auto plain_inst = reinterpret_cast< ::Akonadi::EntityHiddenAttribute *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_EntityHiddenAttribute_IDX]), reinterpret_cast<SbkObject *>(self)));
        auto *inst = dynamic_cast<EntityHiddenAttributeWrapper *>(plain_inst);
        if (inst != nullptr)
            inst->resetPyMethodCache();
    }
    return PyObject_GenericSetAttr(self, name, value);
}

} // extern "C"

static int Sbk_Akonadi_EntityHiddenAttribute_traverse(PyObject *self, visitproc visit, void *arg)
{
    auto traverseProc = reinterpret_cast<traverseproc>(PyType_GetSlot(SbkObject_TypeF(), Py_tp_traverse));
    ;
    return traverseProc(self, visit, arg);
}
static int Sbk_Akonadi_EntityHiddenAttribute_clear(PyObject *self)
{
    auto clearProc = reinterpret_cast<inquiry>(PyType_GetSlot(SbkObject_TypeF(), Py_tp_clear));
    ;
    return clearProc(self);
}

// Class Definition -----------------------------------------------
extern "C" {

static PyType_Slot Sbk_Akonadi_EntityHiddenAttribute_slots[] = {
    {Py_tp_base,        nullptr}, // inserted by introduceWrapperType
    {Py_tp_dealloc,     reinterpret_cast<void *>(&SbkDeallocWrapper)},
    {Py_tp_setattro,    reinterpret_cast<void *>(Sbk_Akonadi_EntityHiddenAttribute_setattro)},
    {Py_tp_traverse,    reinterpret_cast<void *>(Sbk_Akonadi_EntityHiddenAttribute_traverse)},
    {Py_tp_clear,       reinterpret_cast<void *>(Sbk_Akonadi_EntityHiddenAttribute_clear)},
    {Py_tp_methods,     reinterpret_cast<void *>(Sbk_Akonadi_EntityHiddenAttribute_methods)},
    {Py_tp_init,        reinterpret_cast<void *>(Sbk_Akonadi_EntityHiddenAttribute_Init)},
    {Py_tp_new,         reinterpret_cast<void *>(SbkObject_tp_new)},
    {0, nullptr}
};
static PyType_Spec Sbk_Akonadi_EntityHiddenAttribute_spec = {
    "1:AkonadiCore.Akonadi.EntityHiddenAttribute",
    sizeof(SbkObject),
    0,
    Py_TPFLAGS_DEFAULT|Py_TPFLAGS_BASETYPE|Py_TPFLAGS_HAVE_GC,
    Sbk_Akonadi_EntityHiddenAttribute_slots
};

} //extern "C"

static void *Sbk_Akonadi_EntityHiddenAttribute_typeDiscovery([[maybe_unused]] void *cptr, [[maybe_unused]] PyTypeObject *instanceType)
{
    if (instanceType == Shiboken::SbkType< ::Akonadi::Attribute >())
        return dynamic_cast< ::Akonadi::EntityHiddenAttribute *>(reinterpret_cast< ::Akonadi::Attribute *>(cptr));
    return {};
}


// Type conversion functions.

// Python to C++ pointer conversion - returns the C++ object of the Python wrapper (keeps object identity).
static void EntityHiddenAttribute_PythonToCpp_EntityHiddenAttribute_PTR(PyObject *pyIn, void *cppOut)
{
    Shiboken::Conversions::pythonToCppPointer(Sbk_Akonadi_EntityHiddenAttribute_TypeF(), pyIn, cppOut);
}
static PythonToCppFunc is_EntityHiddenAttribute_PythonToCpp_EntityHiddenAttribute_PTR_Convertible(PyObject *pyIn)
{
    if (pyIn == Py_None)
        return Shiboken::Conversions::nonePythonToCppNullPtr;
    if (PyObject_TypeCheck(pyIn, Sbk_Akonadi_EntityHiddenAttribute_TypeF()))
        return EntityHiddenAttribute_PythonToCpp_EntityHiddenAttribute_PTR;
    return {};
}

// C++ to Python pointer conversion - tries to find the Python wrapper for the C++ object (keeps object identity).
static PyObject *EntityHiddenAttribute_PTR_CppToPython_EntityHiddenAttribute(const void *cppIn)
{
    auto *pyOut = reinterpret_cast<PyObject *>(Shiboken::BindingManager::instance().retrieveWrapper(cppIn, Sbk_Akonadi_EntityHiddenAttribute_TypeF()));
    if (pyOut) {
        Py_INCREF(pyOut);
        return pyOut;
    }
    auto *tCppIn = reinterpret_cast<const ::Akonadi::EntityHiddenAttribute *>(cppIn);
    const char *typeName = typeid(*tCppIn).name();
    return Shiboken::Object::newObjectForPointer(Sbk_Akonadi_EntityHiddenAttribute_TypeF(), const_cast<void *>(cppIn), false, typeName);

}

// The signatures string for the functions.
// Multiple signatures have their index "n:" in front.
#if PYSIDE6_COMOPT_COMPRESS == 0
static const char *Akonadi_EntityHiddenAttribute_SignatureStrings[] = {
    "AkonadiCore.Akonadi.EntityHiddenAttribute(self)",
    "AkonadiCore.Akonadi.EntityHiddenAttribute.clone(self)->AkonadiCore.Akonadi.EntityHiddenAttribute",
    "AkonadiCore.Akonadi.EntityHiddenAttribute.deserialize(self,data:typing.Union[PySide6.QtCore.QByteArray, char*])",
    "AkonadiCore.Akonadi.EntityHiddenAttribute.serialized(self)->PySide6.QtCore.QByteArray",
    "AkonadiCore.Akonadi.EntityHiddenAttribute.type(self)->PySide6.QtCore.QByteArray",
    nullptr}; // Sentinel
#else
static constexpr size_t Akonadi_EntityHiddenAttribute_SignatureByteSize = 147;
static constexpr uint8_t Akonadi_EntityHiddenAttribute_SignatureBytes[147] = {
    0x78, 0xda, 0x95, 0x8f, 0x31, 0x0f, 0x01, 0x41, 0x10, 0x85, 0x7b, 0xbf, 0x42, 0x89, 0x9c, 0x2d,
    0xaf, 0x50, 0x48, 0x96, 0x48, 0x94, 0x2e, 0x17, 0x95, 0x28, 0xc6, 0xcd, 0x60, 0x62, 0x33, 0x2b,
    0x73, 0xa3, 0x58, 0xbf, 0x9e, 0x38, 0x74, 0xe2, 0xb6, 0x9b, 0xe2, 0xbd, 0xef, 0x9b, 0xe7, 0x2f,
    0x51, 0x00, 0x79, 0x19, 0x95, 0x9c, 0xef, 0x6e, 0xb7, 0x12, 0x63, 0x4b, 0x6b, 0x46, 0x24, 0xf1,
    0x66, 0xca, 0x87, 0x9b, 0xd1, 0xa8, 0xa5, 0x70, 0x1c, 0x0f, 0x7c, 0xdf, 0xbc, 0x6b, 0x42, 0x94,
    0x77, 0x6b, 0x3a, 0xef, 0x5d, 0xcb, 0x10, 0x20, 0xb5, 0xa4, 0x0c, 0x81, 0xef, 0x9d, 0xa6, 0x40,
    0x30, 0x98, 0x59, 0xba, 0xb2, 0x9c, 0xdc, 0x56, 0x38, 0xca, 0x6e, 0x93, 0x6a, 0x46, 0x2a, 0x5d,
    0x65, 0x2f, 0x5e, 0xb5, 0x48, 0x46, 0x5e, 0x15, 0x52, 0x31, 0x6c, 0xce, 0xa0, 0x93, 0x7d, 0xce,
    0xa0, 0xaf, 0x0d, 0x3f, 0xab, 0x7e, 0xe2, 0x33, 0xa8, 0xcf, 0x7f, 0xe9, 0x3f, 0xef, 0x01, 0x87,
    0x25, 0x9c, 0x57
};
#endif

PyTypeObject *init_Akonadi_EntityHiddenAttribute(PyObject *enclosingClass)
{
    auto &typeStruct = SbkAkonadiCoreTypeStructs[SBK_Akonadi_EntityHiddenAttribute_IDX];
    if (typeStruct.type != nullptr)
        return typeStruct.type;

    auto *base1 = reinterpret_cast<PyObject *>(Shiboken::Module::get(SbkAkonadiCoreTypeStructs[SBK_Akonadi_Attribute_IDX]));
    Shiboken::AutoDecRef Sbk_Akonadi_EntityHiddenAttribute_Type_bases(PyTuple_Pack(1, base1));

    PyTypeObject *pyType = Shiboken::ObjectType::introduceWrapperType(
        enclosingClass,
        "EntityHiddenAttribute",
        "Akonadi::EntityHiddenAttribute*",
        &Sbk_Akonadi_EntityHiddenAttribute_spec,
        &Shiboken::callCppDestructor< Akonadi::EntityHiddenAttribute >,
        Sbk_Akonadi_EntityHiddenAttribute_Type_bases.object(),
        Shiboken::ObjectType::WrapperFlags::InnerClass);
#if PYSIDE6_COMOPT_COMPRESS == 0
    InitSignatureStrings(pyType, Akonadi_EntityHiddenAttribute_SignatureStrings);
#else
    InitSignatureBytes(pyType, Akonadi_EntityHiddenAttribute_SignatureBytes, Akonadi_EntityHiddenAttribute_SignatureByteSize);
#endif
    SbkObjectType_SetPropertyStrings(pyType, Sbk_Akonadi_EntityHiddenAttribute_PropertyStrings);
    typeStruct.type = pyType;

    // Register Converter
    SbkConverter *converter = Shiboken::Conversions::createConverter(pyType,
        EntityHiddenAttribute_PythonToCpp_EntityHiddenAttribute_PTR,
        is_EntityHiddenAttribute_PythonToCpp_EntityHiddenAttribute_PTR_Convertible,
        EntityHiddenAttribute_PTR_CppToPython_EntityHiddenAttribute);

    Shiboken::Conversions::registerConverterName(converter, "Akonadi::EntityHiddenAttribute");
    Shiboken::Conversions::registerConverterName(converter, "Akonadi::EntityHiddenAttribute*");
    Shiboken::Conversions::registerConverterName(converter, "Akonadi::EntityHiddenAttribute&");
    Shiboken::Conversions::registerConverterAlias(converter, "EntityHiddenAttribute");
    Shiboken::Conversions::registerConverterAlias(converter, "EntityHiddenAttribute*");
    Shiboken::Conversions::registerConverterAlias(converter, "EntityHiddenAttribute&");
    Shiboken::Conversions::registerConverterName(converter, typeid(::Akonadi::EntityHiddenAttribute).name());
    Shiboken::Conversions::registerConverterName(converter, typeid(EntityHiddenAttributeWrapper).name());

    Shiboken::ObjectType::setTypeDiscoveryFunctionV2(pyType, &Sbk_Akonadi_EntityHiddenAttribute_typeDiscovery);

    qRegisterMetaType< ::Akonadi::EntityHiddenAttribute *>();

    return pyType;
}
